Package org.opengis.cite.iso19142.transaction

# Class Update

java.lang.Object
org.opengis.cite.iso19142.BaseFixture
org.opengis.cite.iso19142.transaction.TransactionFixture
org.opengis.cite.iso19142.transaction.Update

public class Update extends TransactionFixture
Tests the response to a Transaction request that includes one or more update actions. If the WFS supports feature versioning, then the wfs:UpdateResults element must be present (to convey the new identifiers); however, this is not currently checked.

See Also:
  - "ISO 19142:2010, cl. 15.2.5: Update action"

- ## Field Summary

  ### Fields inherited from class org.opengis.cite.iso19142.transaction.TransactionFixture

  `dataSampler, model`

  ### Fields inherited from class org.opengis.cite.iso19142.BaseFixture

  `docBuilder, ETS_PKG, featureInfo, featureTypes, reqEntity, rspEntity, supportedBindings, TNS_PREFIX, wfsClient, wfsMetadata, wfsVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Update()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) String`
  `newPropertyValue(org.apache.xerces.xs.XSElementDeclaration prop, List<String> propValues)`
  Returns a new property value that conforms to the applicable simple type definition.
  `void`
  `restoreModifiedFeatures()`
  Attempts to restore the WFS data store to its previous state by replacing all modified features with their original representations.
  `void`
  `updateBoundedByWithKMLPoint()`
  [`Test`] Submits a Transaction request to update a property (gml:boundedBy) with an invalid value (kml:Point).
  `void`
  `updateGMLName(ProtocolBinding binding, QName featureType)`
  [`Test`] Submits a Transaction request to update the first name (gml:name[1]) of an existing feature instance.
  `void`
  `updateSimplePropertyValue(ProtocolBinding binding, QName featureType)`
  [`Test`] Submits a request to update a simple property value, one that is based on a built-in XML Schema datatype (including enumerated types).

  ### Methods inherited from class org.opengis.cite.iso19142.transaction.TransactionFixture

  `buildTransactionRequest, initTransactionFixture, setModel, trxTestParameters`

  ### Methods inherited from class org.opengis.cite.iso19142.BaseFixture

  `addAttributesOnTestFailure, allProtocolsAndFeatureTypes, bindingAndAvailFeatureTypeProductSet, extractBodyAsDocument, getFeatureTypes, getInstantiatedFeatureTypes, getProtocolBindings, initBaseFixture, initParser, setWfsClient`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Update

    public Update()

- ## Method Details

  - ### restoreModifiedFeatures

    @AfterClass public void restoreModifiedFeatures()
    Attempts to restore the WFS data store to its previous state by replacing all modified features with their original representations. If this does not succeed a log message (WARNING) is written to the test suite logger.

  - ### updateGMLName

    public void updateGMLName(ProtocolBinding binding, QName featureType)
    [`Test`] Submits a Transaction request to update the first name (gml:name[1]) of an existing feature instance. The test is run for all supported transaction bindings and available feature types. The response entity (wfs:TransactionResponse) must be schema-valid.

    Sources

    - ISO 19142:2010, cl. 15.3.3: TransactionSummary element
    - ISO 19142:2010, cl. 15.3.5: UpdateResults element
    Parameters:
      `binding` - A supported transaction request binding.
      `featureType` - A QName representing the name of some feature type for which data are available.

  - ### updateBoundedByWithKMLPoint

    public void updateBoundedByWithKMLPoint()
    [`Test`] Submits a Transaction request to update a property (gml:boundedBy) with an invalid value (kml:Point). An ExceptionReport (with status code 400) containing the exception code `InvalidValue` is expected in response.

    Sources

    - ISO 19142:2010, 15.2.5.2.1: Property element
    - ISO 19142:2010, Table 3: WFS exception codes

  - ### updateSimplePropertyValue

    public void updateSimplePropertyValue(ProtocolBinding binding, QName featureType)
    [`Test`] Submits a request to update a simple property value, one that is based on a built-in XML Schema datatype (including enumerated types). The test is run for all supported transaction bindings and available feature types.

    Sources

    - ISO 19142:2010, cl. 15.3.3: TransactionSummary element
    - ISO 19142:2010, cl. 15.3.5: UpdateResults element
    Parameters:
      `binding` - A supported message binding.
      `featureType` - A QName representing the name of some feature type for which data are available.

  - ### newPropertyValue

    String newPropertyValue(org.apache.xerces.xs.XSElementDeclaration prop, List<String> propValues)
    Returns a new property value that conforms to the applicable simple type definition. If the type contains an enumeration facet, the new value will be one that does not occur in the original feature instance.

    The following XML Schema data types are recognized:

    - xsd:string
    - xsd:dateTime
    - xsd:date
    - xsd:float
    - xsd:double
    - xsd:decimal
    - xsd:integer
    - xsd:anyURI
    - xsd:boolean
    Parameters:
      `prop` - A property (element) declaration.
      `propValues` - A List of known property values (may be empty).
    Returns:
      A String representing the new property value.